# README.md

> Author: Yaqing Liu
>
> Email: [yaqing.liu@outlook.com](mailto:yaqing.liu@outlook.com)
> 
> Last Updates: 08/04/2021

This app generates the MD5 of the INPUT files in bulk.

The OUTPUT.md5 file consists of n rows and 2 columns, the first column is the MD5 code and the second column is the corresponding file name.

#### Requirements

- choppy
- Ali-Cloud
- Linux

#### Usage
```Shell
# Install
choppy install YaqingLiu/MD5

# Prepare the input file: samples.json

# Submit your task
choppy batch YaqingLiu/MD5-latest samples.json -p project_name
```

#### Input
Please note that the input file is in JSON format.

```Json
{
  "sample_id": "sample_id",
  "INPUT": [
    "file_1",
    "file_2",
    "file_3",
    ...,
    "file_n"]
}
```